## org.apache.lucene.analysis.th
Class ThaiWordFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.th.ThaiWordFilter

    public class ThaiWordFilter

extends TokenFilter

TokenFilter that use java.text.BreakIterator to break each Token that is Thai into separate Token(s) for each Thai word.

Version:
  0.2

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ThaiWordFilter(TokenStream input)`

Method Summary
`Token` `next(Token reusableToken)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThaiWordFilter

    public ThaiWordFilter(TokenStream input)

Method Detail

### next

    public Token next(Token reusableToken)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.